class Address

# class Address | Postal address information. More...
Full name | `KABC::Address`
Definition | `#include <address.h>`
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Types

- typedef QValueList
- typedef QValueList TypeList
- enum Type { Dom = 1, Intl = 2, Postal = 4, Parcel = 8, Home = 16, Work = 32, Pref = 64 }

#### Public Methods

- Address ()
- Address ( int )
- bool operator== ( const Address & ) const
- bool operator!= ( const Address & ) const
- bool isEmpty () const
- void clear ()
- void setId ( const QString & )
- QString id () const
- void setType ( int type )
- int type () const
- QString typeLabel () const
- void setPostOfficeBox ( const QString & )
- QString postOfficeBox () const
- void setExtended ( const QString & )
- QString extended () const
- void setStreet ( const QString & )
- QString street () const
- void setLocality ( const QString & )
- QString locality () const
- void setRegion ( const QString & )
- QString region () const
- void setPostalCode ( const QString & )
- QString postalCode () const
- void setCountry ( const QString & )
- QString country () const
- void setLabel ( const QString & )
- QString label () const
- void dump () const

#### Public Static Methods

- static QString postOfficeBoxLabel ()
- static QString extendedLabel ()
- static QString streetLabel ()
- static QString localityLabel ()
- static QString regionLabel ()
- static QString postalCodeLabel ()
- static QString countryLabel ()
- static QString labelLabel ()
- static TypeList typeList ()
- static QString typeLabel ( int type )

## Detailed Description

This class represents information about a postal address.

typedef QValueList | ### List

List of addresses.

typedef QValueList TypeList | ### TypeList

enum Type { Dom = 1, Intl = 2, Postal = 4, Parcel = 8, Home = 16, Work = 32, Pref = 64 } | ### Type

Address types:

- `Dom` - domestic
- `Intl` - international
- `Postal` - postal
- `Parcel` - parcel
- `Home` - home address
- `Work` - address at work
- `Pref` - preferred address

Address () | ### Address

Constructor that creates an empty Address, which is initialized with a unique id (see id()).

Address ( int ) | ### Address

This is like Address() just above, with the difference that you can specify the type.

bool operator== ( const Address & ) | ### operator==

[const]

bool operator!= ( const Address & ) | ### operator!=

[const]

bool isEmpty () | ### isEmpty

[const]

Returns true, if the address is empty.

void clear () | ### clear

Clears all entries of the address.

void setId ( const QString & ) | ### setId

Sets the unique id.

QString id () | ### id

[const]

void setType ( int type ) | ### setType

Sets the type of address. See enum for definiton of types.

Parameters:

type | type, can be a bitwise or of multiple types.

int type () | ### type

[const]

Returns the type of address. Can be a bitwise or of multiple types.

QString typeLabel () | ### typeLabel

[const]

Returns a translated string of all types the address has.

void setPostOfficeBox ( const QString & ) | ### setPostOfficeBox

Sets the post office box.

QString postOfficeBox () | ### postOfficeBox

[const]

Returns the post office box.

QString postOfficeBoxLabel () | ### postOfficeBoxLabel

[static]

Returns the translated label for post office box field.

void setExtended ( const QString & ) | ### setExtended

Sets the extended address information.

QString extended () | ### extended

[const]

Returns the extended address information.

QString extendedLabel () | ### extendedLabel

[static]

Returns the translated label for extended field.

void setStreet ( const QString & ) | ### setStreet

Sets the street (including number).

QString street () | ### street

[const]

Returns the street.

QString streetLabel () | ### streetLabel

[static]

Returns the translated label for street field.

void setLocality ( const QString & ) | ### setLocality

Sets the locality, e.g. city.

QString locality () | ### locality

[const]

Returns the locality.

QString localityLabel () | ### localityLabel

[static]

Returns the translated label for locality field.

void setRegion ( const QString & ) | ### setRegion

Sets the region, e.g. state.

QString region () | ### region

[const]

Returns the region.

QString regionLabel () | ### regionLabel

[static]

Returns the translated label for region field.

void setPostalCode ( const QString & ) | ### setPostalCode

Sets the postal code.

QString postalCode () | ### postalCode

[const]

Returns the postal code.

QString postalCodeLabel () | ### postalCodeLabel

[static]

Returns the translated label for postal code field.

void setCountry ( const QString & ) | ### setCountry

Sets the country.

QString country () | ### country

[const]

Returns the country.

QString countryLabel () | ### countryLabel

[static]

Returns the translated label for country field.

void setLabel ( const QString & ) | ### setLabel

Sets the delivery label. This is the literal text to be used as label.

QString label () | ### label

[const]

Returns the delivery label.

QString labelLabel () | ### labelLabel

[static]

Returns the translated label for delivery label field.

TypeList typeList () | ### typeList

[static]

Returns the list of available types.

QString typeLabel ( int type ) | ### typeLabel

[static]

Returns the translated label for a special type.

void dump () | ### dump

[const]

Used for debug output.

Generated by: root on macppc.ports.openbsd.org on Sat Sep 6 10:38:02 2003, using kdoc 2.0a54.